Update tenant settings
PATCH
/api/v1/tenant
const url = 'https://api.ultimateteam.ai/api/v1/tenant';const options = { method: 'PATCH', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"name":"example","settings":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.ultimateteam.ai/api/v1/tenant \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "name": "example", "settings": {} }'Partially update the tenant’s name or settings dict.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
TenantUpdateRequest
Request body for PATCH /tenant.
Attributes: name: New display name (optional). settings: Partial settings dict to merge (optional).
Examplegenerated
{ "name": "example", "settings": {}}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
TenantProfileResponse
Wrapper response for GET /tenant.
Attributes: data: The tenant profile payload.
object
data
required
TenantProfileData
Tenant profile fields returned by GET /tenant.
Attributes: id: Unique tenant identifier. name: Display name of the tenant / business. slug: URL-safe unique identifier. plan: Current subscription plan tier. plan_status: Billing status (e.g. trialing, active). settings: Arbitrary tenant settings dict. token_budget_monthly: Monthly token allowance. tokens_used_this_month: Tokens consumed this month.
object
id
required
Id
string format: uuid
name
required
Name
string
plan
required
Plan
string
plan_status
required
Plan Status
string
settings
required
Settings
object
key
additional properties
any
slug
required
Slug
string
token_budget_monthly
required
Token Budget Monthly
integer
tokens_used_this_month
required
Tokens Used This Month
integer
Examplegenerated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "plan": "example", "plan_status": "example", "settings": {}, "slug": "example", "token_budget_monthly": 1, "tokens_used_this_month": 1 }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}